from enum import Enum
from typing import NamedTuple


class DestinationType(Enum):
    STATION = 1
    TEMPERATE_WORLD = 2
    DESERT_WORLD = 3
    FROZEN_WORLD = 4
    JUNGLE_WORLD = 5
    OCEAN_WORLD = 6
    ASTEROID = 7


class Destination(NamedTuple):
    name: str
    system: str | None
    sector: str | None
    type: DestinationType


DESTINATIONS = [
    Destination(
        name="Alderaan",
        system=None,
        sector="Core Worlds",
        type=DestinationType.TEMPERATE_WORLD,
    ),
    Destination(
        name="Tattooine",
        system=None,
        sector="Outer Rim",
        type=DestinationType.DESERT_WORLD,
    ),
]
